## demo.webcab.chat.gui
Class ScrollAreaEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.AWTEvent
                  |
                  +--demo.webcab.chat.gui.ScrollAreaEvent

All Implemented Interfaces:
  java.io.Serializable

public class ScrollAreaEvent
extends java.awt.AWTEvent

This class is a shere extension of what is known as `AWTEvent` in the Java Development Kit class collection. It will work as an identifer for events dispatched to the so-called "listeners", expressing their intentions so as to be informed of any changes taking place inside the component. You will probably never need to implement or use this class directly, but only by means of the `ScrollAreaListener` interface. Feel free to explore more at the See Also link.

Author:
  WebCab Components
See Also:
  `ScrollAreaListener`, Serialized Form

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ScrollAreaEvent(java.lang.Object source)`

Methods inherited from class java.awt.AWTEvent
`consume, finalize, getID, isConsumed, paramString, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScrollAreaEvent

    public ScrollAreaEvent(java.lang.Object source)